Package twisted :: Package application :: Module compat :: Class _NewService

[frames | no frames]

## Class _NewService

Wrap a twisted.internet.app.ApplicationService in new service API.

Method Summary
| `__init__(self, service)`
| `__cmp__(self, other)`
| `__hash__(self)`
| `disownServiceParent(self)`
| `privilegedStartService(self)`
| `setName(self, name)`
| `setServiceParent(self, parent)`
| `startService(self)`
| `stopService(self)`

Property Summary
| `name`

Class Variable Summary
`tuple` | `__implements__` = `(<class twisted.application.service.ISe...`
`int` | `running` = 0

Property Details

### name

  Get Method:
    get_name(...)

Class Variable Details

### __implements__

  Type:
    `tuple`
  Value:

        (<class twisted.application.service.IService at 0x866562c>,)

### running

  Type:
    `int`
  Value:

        0

Generated by Epydoc 2.0 on Sat May 15 20:08:34 2004 | http://epydoc.sf.net